---- Map a drive since UNC isn't playing nicely with us
---- Only really need if you don't want to use blob storage
---- perhaps when using a different cloud provider? 
USE [master]
GO
---- we need to turn on advanced options and map the drive so SQL can see it.
EXEC sp_configure 'show advanced options', 1;
GO
RECONFIGURE;
GO
---- to do this we will use the xp_cmdshell
EXEC sp_configure 'xp_cmdshell',1
GO
RECONFIGURE
GO
-- Make sure to use /persisted:yes so if the SQL service restarts the drive is still available (In theory).
-- Syntax shown is for Azure, use whatever your cloud service indicates is the command to map a drive
EXEC XP_CMDSHELL 'net use A: \\woxstorage.file.core.windows.net\woxstretchdbdemo /u:AZURE\woxstorage 77iDs5mU0apDdIUYMAcG7Ag8RaedM9hvzkh/ukXfqmg/EK8oQrtlbprMyNyj9rbGccYXgmAwVnNT2B8Jo6mb5A== /p:yes'
---- breakdown: /p = persist the connection
---- A: = drive letter - A for Azure! (or AWS?)
---- \\<YourStorageAccount>... = path to the drive in a UNC format
---- /u: user for azure / aws
---- 77id... = secret key for the login to use to validate with.
GO
---- goofy command needed to make sure drive is made avialable and active
EXEC XP_CMDSHELL 'Dir A:'
GO
---- THis is where things get interesting - The credential stored in SQL for the fileshare has
---- no bearing on this working. I have found that until I use the net use above, the credentials
---- do nothing. Once hte drive is mapped though then it works fine. To a degree...

--EXEC sys.xp_cmdshell 'net use a: /delete'