﻿cls

Add-PSSnapin SqlServerCmdletSnapin* -ErrorAction SilentlyContinue   
Import-Module SQLPS -WarningAction SilentlyContinue  
  
$DetachCmd = "Use master
ALTER DATABASE WOxStretch SET EMERGENCY;
EXEC master.dbo.sp_detach_db @dbname = N'WOxStretch';
"

$AttachCmd = "USE [master]  CREATE DATABASE WOXStretch ON 
( FILENAME = N'C:\SQLDATA\WoxStretch.mdf' ),
( FILENAME = N'C:\SQLDATA\WoxStretch_log.ldf' ),
( FILENAME = N'A:\WoxStretchCloud.ndf' )
 FOR ATTACH
GO"
Invoke-Sqlcmd $detachCmd -QueryTimeout 3600 -ServerInstance "."  

Invoke-Sqlcmd $attachCmd -QueryTimeout 3600 -ServerInstance "."  
If($?)  
{  
Write-Host 'Attaching database' WoxStretch 'sucessfully!'  
}  
else  
{  
Write-Host 'Attaching Failed!'  
};
